.cypress:
  variables:
    project_name: cypress
    project_path: dockerfiles/devtools/cypress
    ARTIFACTORY_PATH: devtools/cypress
    CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE/cypress/scan
    AUTO_VERSION: "true"
  only:
    changes:
      - dockerfiles/devtools/cypress/**/*

build:cypress:
  extends: 
    - .build-docker-image
    - .cypress
  stage: build_3
  needs: []

scan:cypress:
  extends: 
    - .container_scanning
    - .cypress
  needs: ["build:cypress"]

publish:cypress:
  extends:
    - .promote-docker-image
    - .cypress
